/// class ProspectDirector

/**
@class ProspectDirector
@namespace *
@constructor
**/
//ProspectDirector = Class.extend({
//});

//================================
// SHARED METHODS
//================================

/**
@static
@method registerNamespace
@param fqn {String} The fully qualified namespace.
**/
ProspectDirector.registerNamespace = function (fqn) {

    var root = window,
        names = fqn.split("."),
        i = 0;

    for (i = 0; i < names.length; i++) {

        if (root[names[i]] === undefined) {
            root[names[i]] = {};
        }

        root = root[names[i]];

    }

    return root;

};

/**
@static
@method boot
@param options {Object}
**/
ProspectDirector.boot = function (options) {
    ProspectDirector.RUNTIME.ENVIRONMENT.VIRTUAL_DIRECTORY = options.VIRTUAL_DIRECTORY;
};

//================================
// NAMESPACE REGISTRATION
//================================

ProspectDirector.registerNamespace("ProspectDirector.Web");
ProspectDirector.registerNamespace("ProspectDirector.Web.UI.Controls");
ProspectDirector.registerNamespace("ProspectDirector.Web.UI.Canvas.Charts");
ProspectDirector.registerNamespace("ProspectDirector.Web.UI.FeatureSets");
ProspectDirector.registerNamespace("ProspectDirector.Web.UI.FeatureSets.Editors");
ProspectDirector.registerNamespace("ProspectDirector.Web.UI.FeatureSets.Editors.Macro");
ProspectDirector.registerNamespace("ProspectDirector.Web.UI.FeatureSets.Layouts");
ProspectDirector.registerNamespace("ProspectDirector.Web.UI.Packagers");
ProspectDirector.registerNamespace("ProspectDirector.Web.UI.Queries");
ProspectDirector.registerNamespace("ProspectDirector.Web.UI.Queries.Commands");
ProspectDirector.registerNamespace("ProspectDirector.Web.UI.Utilities.Kendo");
